Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"

From: Po Lu <[email-masked]>
Date: Tue, 04 Oct 2022 21:05:58 +0800

Eli Zaretskii <[email-masked]> writes:

> Emacs looks in locale.alias before it uses the fallback info in
> language-info-alist.

And all this is extremely important, because that is the file the X
library and X input methods use to determine the real locale underlying
a locale name.

If an X input method specifies the locale "EO", then it is actually
referring to "eo_EO.ISO8859-3", whose coded charset is ISO8859-3.

> If this is what locale.alias says, doesn't it mean that the system
> wants us to use Latin-3 by default for this locale?  IOW, why does
> nl_langinfo return a value that is different from what this file says?
> Is that because locale.alias comes from X11, not from glibc?

X can have different ideas about locale names than the system C
library.  (nl_langinfo)

Emacs must follow the X definition in order to decode keyboard input
correctly.